Bug 1337882 - MoM completely ignores VMs when they have no ballooning devices [NEEDINFO]
Summary: MoM completely ignores VMs when they have no ballooning devices
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.18.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.0.4
: ---
Assignee: Martin Sivák
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On: 1337834
Blocks: 1361553
TreeView+ depends on / blocked
 
Reported: 2016-05-20 10:52 UTC by Martin Sivák
Modified: 2016-09-26 12:32 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1337834
: 1361553 (view as bug list)
Environment:
Last Closed: 2016-09-26 12:32:57 UTC
oVirt Team: SLA
sbonazzo: needinfo? (msivak)
rule-engine: ovirt-4.0.z+
mgoldboi: planning_ack+
rgolan: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 57796 0 master MERGED Configure mom to ignore missing balloon device 2016-06-13 12:45:03 UTC
oVirt gerrit 59058 0 ovirt-4.0 MERGED Configure mom to ignore missing balloon device 2016-06-14 07:58:29 UTC
oVirt gerrit 60524 0 ovirt-3.6 MERGED Configure mom to ignore missing balloon device 2016-07-14 14:25:05 UTC

Description Martin Sivák 2016-05-20 10:52:35 UTC
+++ This bug was initially created as a clone of Bug #1337834 +++

Description of problem:

In the past MOM was only responsible for ballooning. But now it also manages some CPU and storage QoS settings. When there is no ballooning device on the VM, MOM completely ignores that VM and therefore does not set QoS attributes for CPU and storage.

The policy already checks whether balloon info is available, but mom configuration needs to be changed to use the new GuestBalloonOptional collector.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1) Create a VM with no ballooning device or with
    <memballoon model="none"/>
2) Add QoS attributes through vdsm to the domain XML metadata section


Actual results:
MOM does not apply them and writes to the logs that it ignores the VM because of no ballooning device.

Expected results:
MOM applies QoS attributes to the libvirt domain xml.

Additional info:

Comment 1 Roy Golan 2016-05-30 07:50:22 UTC
This prevents QoS update of a VM disk.

Comment 2 Red Hat Bugzilla Rules Engine 2016-05-30 07:51:03 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 4 Shira Maximov 2016-07-24 13:01:10 UTC
Moving to Assigned since build 3.6.9 is not available yet.

Comment 6 Martin Sivák 2016-07-26 07:46:39 UTC
Then wait for the build please. FailedQA means you tested it and it did not work.. apparently that is not the case here.

Comment 7 Sandro Bonazzola 2016-07-29 11:18:48 UTC
3.6 is gone EOL; Please re-target this bug to a 4.0 release.

Comment 8 Red Hat Bugzilla Rules Engine 2016-08-14 07:20:56 UTC
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.

Comment 9 Shira Maximov 2016-09-05 10:45:02 UTC
verified on :
Red Hat Virtualization Manager Version: 4.0.4-0.1.el7ev
mom-0.5.5-1.el7ev.noarch
vdsm-4.18.12-1.el7ev.x86_64


verification steps: 

1. create vm with ballooning disabled 
2. check mom logs for : 
2016-09-05 13:42:35,922 - mom.GuestMonitor.Thread - INFO - GuestMonitor-golden_env_mixed_virtio_0 starting
2016-09-05 13:42:35,941 - mom.Monitor - INFO - golden_env_mixed_virtio_0 is ready


Note You need to log in before you can comment on or make changes to this bug.